Đến nội dung


Hình ảnh

Cho hỏi về lệnh kéo nhiều đường thẳng không bằng nhau thành bằng nhau


  • Please log in to reply
2 replies to this topic

#1 Gã thợ hàn

Gã thợ hàn

    biết vẽ circle

  • Members
  • PipPip
  • 30 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 11 March 2013 - 11:43 AM

Chào các bạn.Mình xin hỏi một tí về lệnh mà có thể dùng để kéo cùng một lúc nhiều đoạn thẳng có kích thước không bằng nhau thành bằng nhau tại một điểm bất kì(chứ không phải đường thẳng lầm biên giống như lệnh Ex) trên màn hình mà mình chọn.Chỉ một lệnh duy nhất và không phải lệnh S và Ex .Cảm ơn nhé các bạn.


  • 0

#2 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6007 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 11 March 2013 - 02:07 PM

Chào các bạn.Mình xin hỏi một tí về lệnh mà có thể dùng để kéo cùng một lúc nhiều đoạn thẳng có kích thước không bằng nhau thành bằng nhau tại một điểm bất kì(chứ không phải đường thẳng lầm biên giống như lệnh Ex) trên màn hình mà mình chọn.Chỉ một lệnh duy nhất và không phải lệnh S và Ex .Cảm ơn nhé các bạn.

Hề hề hề,

Dùng lệnh lengthen của CAD coi sao nhé.

Nếu thich lisp cho oai thì nó đây nè:

 

(defun c:lent (/ ssl len )
(vl-load-com)
(setq ssl (acet-ss-to-list (ssget (list (cons 0 "*line")))))
(setq len (getreal "\n Nhap do dai can keo: "))
(foreach ln ssl
(command "lengthen" "T" len ln "")
)
(princ)
)

  • 1
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#3 Gã thợ hàn

Gã thợ hàn

    biết vẽ circle

  • Members
  • PipPip
  • 30 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 11 March 2013 - 03:12 PM

cảm ơn Bác Bình nhiều nhé.Chắc không gặp bác đời em đã khác nhiều rồi.cái này lâu rồi ko đụng tới tự nhiên quên mất lệnh len,em suy nghĩ tên lệnh này hồi trưa tới giờ mà không ra,may nhờ có bác.hihi.Một lần nữa cảm ơn bác Bình rất rất nhiều.


  • 0